> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# This action will import partner/connector profiles from previous versions of the application.

> This action will import partner/connector profiles from previous versions of the application.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /import
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /import:
    post:
      tags:
        - import
      summary: >-
        This action will import partner/connector profiles from previous
        versions of the application.
      description: >-
        This action will import partner/connector profiles from previous
        versions of the application.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/import_input'
      responses:
        '200':
          description: The action result
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    import_input:
      type: object
      properties:
        Arcflow:
          type: string
          description: A base64 encoded string containing the zip data for the arcflow.
        DuplicateAction:
          type: string
          description: Overwrite, Rename, Skip.
        Overwrite:
          type: string
          description: Overwrite the duplicated source.
          default: 'False'
        WorkspaceId:
          type: string
          description: >-
            The Workspace to import the arcflow into. If unspecified, the
            application will auto-detect which workspace to use based on the
            names of the workspaces in the arcflow, and fall back to the default
            workspace if no workspace is specified in the arcflow.
        InputName:
          type: string
          description: The name of the form input when uploading files from a form.
        DataDirectory:
          type: string
          description: The data directory or a zipped file where the profiles are stored.
        DecryptPassword:
          type: string
          description: The password for decrypting sensitive values.
        GlobalSettings:
          type: string
          description: >-
            The global settings that should be included in the import. One or
            more of the following values may be provided using a comma-separated
            string, or the special value 'ALL' can be used to import all global
            settings. Values: Partners, Documents, Users, Roles, Certificates,
            Connections, Vaults, Reports, Alerts, Advanced, AdminAPI, SSO.
        ProfileSettings:
          type: string
          description: >-
            The profiles that should be included in the import. One or more of
            the following values may be provided using a comma-separated string.
            The special value 'ALL' can be used to import all profiles. Values:
            AS2, AS4, GISB, RosettaNet, FTPServer, SFTPServer, HL7MLLP, OFTP.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````